Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions
memory.hpp File Reference

## Classes
struct | ranges::indirectly_readable_traits< iterator_wrapper< I > >
struct | ranges::iterator_wrapper< I >
struct | ranges::raw_buffer< Val >
struct | ranges::raw_storage_iterator< O, Val >

## Functions
template<typename I >
iterator_wrapper< I > | ranges::iter_ref (I &i)
template<typename Val >
raw_buffer< Val > | ranges::make_raw_buffer (Val *val)